Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/sugas_corrk.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/sugas_corrk.F90	(revision 227)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/sugas_corrk.F90	(revision 298)
@@ -30,4 +30,5 @@
 !      use ioipsl_getincom
       use ioipsl_getincom_p 
+      use mod_phys_lmdz_para, only : is_master
       implicit none
 
@@ -105,5 +106,5 @@
       do igas=1,ngas
          read(111,*) gastype(igas)
-         print*,'Gas ',igas,' is ',gastype(igas)
+         if (is_master) print*,'Gas ',igas,' is ',gastype(igas)
       enddo
 
@@ -135,4 +136,5 @@
 
       ! display the values
+      if (is_master) then 
       print*,'Variable gas volume mixing ratios:'
       do n=1,L_REFVAR
@@ -141,4 +143,5 @@
       end do
       print*,''
+      end if
 
 !=======================================================================
@@ -172,4 +175,5 @@
  
       ! display the values
+      if (is_master) then
       print*,'Correlated-k g-space grid:'
       do n=1,L_NGAUSS
@@ -177,4 +181,5 @@
       end do
       print*,''
+      end if
 
 !=======================================================================
@@ -210,4 +215,5 @@
 
       ! display the values
+      if (is_master) then
       print*,'Correlated-k pressure grid (mBar):'
       do n=1,L_NPREF
@@ -215,4 +221,5 @@
       end do
       print*,''
+      end if
 
       ! save the min / max matrix values
@@ -255,8 +262,10 @@
 
       ! display the values
+      if (is_master) then
       print*,'Correlated-k temperature grid:'
       do n=1,L_NTREF
          print*,n,'.',tgasref(n),' K'
       end do
+      end if
 
       ! save the min / max matrix values
@@ -275,7 +284,7 @@
 
       ! display the values
-      print*,''
-      print*,'Correlated-k matrix size:' 
-      print*,'[',L_NTREF,',',L_NPREF,',',L_REFVAR,',',L_NGAUSS,']' 
+      if (is_master) print*,''
+      if (is_master) print*,'Correlated-k matrix size:' 
+      if (is_master) print*,'[',L_NTREF,',',L_NPREF,',',L_REFVAR,',',L_NGAUSS,']' 
 
 !=======================================================================
@@ -285,5 +294,5 @@
 !        wavelength used to separate IR from VI in graybody. We will need that anyway
          IR_VI_wnlimit=3000.
-         write(*,*)"graybody: Visible / Infrared separation set at",10000./IR_VI_wnlimit,"um"
+         if (is_master) write(*,*)"graybody: Visible / Infrared separation set at",10000./IR_VI_wnlimit,"um"
 	 
 	 nVI_limit=0
@@ -304,18 +313,18 @@
       if (graybody) then
 !        constant absorption coefficient in visible
-         write(*,*)"graybody: constant absorption coefficient in visible:"
+         if (is_master) write(*,*)"graybody: constant absorption coefficient in visible:"
          kappa_VI=-100000.
          call getin_p("kappa_VI",kappa_VI)
-         write(*,*)" kappa_VI = ",kappa_VI
+         if (is_master) write(*,*)" kappa_VI = ",kappa_VI
 	 kappa_VI=kappa_VI*1.e4* mugaz * 1.672621e-27	 ! conversion from m^2/kg to cm^2/molecule         
       
 !        constant absorption coefficient in IR
-         write(*,*)"graybody: constant absorption coefficient in InfraRed:"
+         if (is_master) write(*,*)"graybody: constant absorption coefficient in InfraRed:"
          kappa_IR=-100000.
          call getin_p("kappa_IR",kappa_IR)
-         write(*,*)" kappa_IR = ",kappa_IR	 
+         if (is_master) write(*,*)" kappa_IR = ",kappa_IR	 
          kappa_IR=kappa_IR*1.e4* mugaz * 1.672621e-27	 ! conversion from m^2/kg to cm^2/molecule 
 
-         write(*,*)"graybody: Visible / Infrared separation set at band: IR=",nIR_limit,", VI=",nVI_limit
+         if (is_master) write(*,*)"graybody: Visible / Infrared separation set at band: IR=",nIR_limit,", VI=",nVI_limit
 	       
       Else
@@ -330,6 +339,6 @@
          if ((corrkdir(1:4).eq.'null'))then   !(TRIM(corrkdir).eq.'null_LowTeffStar')) then
             gasv8(1:L_NTREF,1:L_NPREF,1:L_REFVAR,1:L_NSPECTV,1:L_NGAUSS)=0.0
-            print*,'using no corrk data'
-            print*,'Visible corrk gaseous absorption is set to zero if graybody=F'
+            if (is_master) print*,'using no corrk data'
+            if (is_master) print*,'Visible corrk gaseous absorption is set to zero if graybody=F'
 	 else
             file_id='/corrk_data/'//trim(adjustl(banddir))//'/corrk_gcm_VI.dat' 
@@ -363,5 +372,5 @@
 	 end if
       else
-         print*,'Visible corrk gaseous absorption is set to zero.'
+         if (is_master) print*,'Visible corrk gaseous absorption is set to zero.'
          gasv8(1:L_NTREF,1:L_NPREF,1:L_REFVAR,1:L_NSPECTV,1:L_NGAUSS)=0.0
       endif
@@ -371,5 +380,5 @@
       ! INFRA-RED
       if ((corrkdir(1:4).eq.'null'))then       !.or.(TRIM(corrkdir).eq.'null_LowTeffStar')) then
-         print*,'Infrared corrk gaseous absorption is set to zero if graybody=F'
+         if (is_master) print*,'Infrared corrk gaseous absorption is set to zero if graybody=F'
 !$OMP MASTER         
          gasi8(1:L_NTREF,1:L_NPREF,1:L_REFVAR,1:L_NSPECTI,1:L_NGAUSS)=0.0
@@ -662,4 +671,5 @@
       endif
 
+      if (is_master) then
       print*,'----------------------------------------------------'
       print*,'And that`s all we have. It`s possible that other'
@@ -667,4 +677,5 @@
       print*,'don`t yet have data for it...'
       print*,''
+      end if
 
 !     Deallocate local arrays
